local t = Def.ActorFrame {

	-- Cleared
	Def.ActorFrame {
		Condition=GAMESTATE:GetPlayMode() ~= PLAY_MODE_BATTLE and GAMESTATE:GetPlayMode() ~= PLAY_MODE_RAVE and not GAMESTATE:IsDemonstration();
	
		LoadActor("negro")..{
			OnCommand=cmd(diffusealpha,0;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2;diffusealpha,0;sleep,3.5;zoom,3;linear,0.75;diffusealpha,1);
			StartTransitioningcommand=cmd(sleep,3.5);
		};

	LoadActor("GLOW")..{
			OnCommand=cmd(blend,'BlendMode_Add';x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2;diffusealpha,0;sleep,5;zoom,0;diffusealpha,1;linear,0.5;zoom,4);
			
		};


		LoadActor("white.png") .. {
			OnCommand=cmd(stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,5.2;linear,0.5;diffusealpha,1)
		};

	
		LoadActor("1")..{
			OnCommand=cmd(diffusealpha,0;x,SCREEN_WIDTH/2;y,-500;sleep,6;diffusealpha,1;zoomx,8;zoomy,6;linear,0.2;y,SCREEN_HEIGHT/2-90;zoomx,2;zoomy,0.7;sleep,0;linear,0.05;zoomx,2.5;zoomy,0.8;sleep,0;linear,0.1;zoomx,2;zoomy,0.7;sleep,1.15;linear,0.4;zoomx,6;zoomy,4.7;rotationz,180;y,-50;diffusealpha,0);
			StartTransitioningcommand=cmd(sleep,4);
			};
		LoadActor("2")..{
			OnCommand=cmd(diffusealpha,0;x,SCREEN_WIDTH/2;y,900;sleep,6;diffusealpha,1;zoomx,8;zoomy,6;linear,0.2;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2+90;zoomx,2.5;zoomy,0.7;sleep,0;linear,0.1;zoomx,3;zoomy,0.8;sleep,0;linear,0.1;zoomx,2.5;zoomy,0.7;sleep,1.1;linear,0.4;zoomx,6.5;zoomy,4.7;rotationz,-180;y,SCREEN_HEIGHT+50;diffusealpha,0);
			StartTransitioningcommand=cmd(sleep,5);
			};
			
		LoadActor( THEME:GetPathS("", "FX25.mp3") ) .. {
			StartTransitioningCommand=cmd(play);
		};			
	};
	
	--- to stop people in widescreen viewing offscreen elements
	-- ez2dancer is not a widescreen game
	Def.Quad {
		OnCommand=cmd(stretchto,SCREEN_RIGHT,SCREEN_TOP,99999,SCREEN_BOTTOM;diffuse,color("#000000"));
	};
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_TOP,SCREEN_LEFT,SCREEN_BOTTOM;diffuse,color("#000000"));
	};


	Def.Quad {
		OnCommand=cmd(stretchto,-99999,-99999,99999,SCREEN_TOP;diffuse,color("#000000"));
	};
	
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_BOTTOM,99999,99999;diffuse,color("#000000"));
	};		
	
	
};

return t;
